### Method

# FwupdPlugin BiosSettings get_all

#### Declaration [src]

    GPtrArray*
    fu_bios_settings_get_all (
      FuBiosSettings* self
    )

#### Description [src]

Gets all the attributes in the object.

Available since: | 1.8.4

#### Return value

Returns: | An array of `FwupdBiosSetting*`
| Attributes.
| The caller of the method takes ownership of the data container, but not the data inside it.